SharedObjectf class

The FontStyle class represents the particular style in a font family, such as Bold, Roman, etc. and provides information on an individual font, such as whether it has a fixed width, whether it is scalable etc. It also houses all instances of the individual style.

Member Functions

SharedObject(void) | virtual SharedObject(void)
virtual void AddDependent(void) | virtual void RemoveDependent(void)
virtual bool HasDependents(void) |

SharedObject(void)

1) Sets dependent count to 0

virtual ~SharedObject(void)

1) Does nothing

virtual void AddDependent(void)

1) Increments dependent count

virtual void RemoveDependent(void)

1) Decrements dependent count if greater than 0

virtual bool HasDependents(void)

1) if dependent count > 0, return true. Otherwise, return false.